package com.goldencode.testcases;

import com.goldencode.p2j.util.*;
import com.goldencode.p2j.ui.*;

import static com.goldencode.p2j.util.BlockManager.*;
import static com.goldencode.p2j.ui.LogicalTerminal.*;

public class ExportTest2
{
   Stream myStrStream = new StreamWrapper("my-str");

   public void execute()
   {
      externalProcedure(new Block()
      {
         public void body()
         {
            TransactionManager.registerTopLevelFinalizable(myStrStream, true);
            myStrStream.assign(StreamFactory.openFileStream("export_test2.txt", true, false));
            myStrStream.closeOut();
            message("All done");
         }
      });
   }
}
